Advances the iterator to next element

- « MongoDB\BSON\Iterator::key

- MongoDB\BSON\Iterator::rewind »

- PHP Manual
- MongoDB\BSON\Iterator
- Advances the iterator to next element

# MongoDB\BSON\Iterator::next

(mongodb >=1.16.0)

MongoDB\BSON\Iterator::next — Advances the iterator to next element

### Description

public MongoDB\BSON\Iterator::next(): void

### Parameters

This function has no parameters.

### See Also

- Iterator::next() - Move forward to next element